# studio::LayerGroupTree Class Reference

`#include <layergrouptree.h>`

List of all members.

## Public Types

typedef std::list < synfig::Layer::Handle > | LayerList

## Public Member Functions

| LayerGroupTree ()
| ~LayerGroupTree ()
void | set_cursor (const Gtk::TreeModel::Path &path, bool start_editing=false)
Glib::RefPtr< LayerGroupTreeStore > | get_model ()
sigc::signal< void, etl::handle< synfig::Layer > > & | signal_popup_layer_menu ()
void | set_model (Glib::RefPtr< LayerGroupTreeStore > layer_group_tree_store_)
void | set_editable (bool x=true)
bool | get_editable () const
std::list< synfig::String > | get_selected_groups () const
LayerList | get_selected_layers () const

## Public Attributes

LayerGroupTreeStore::Model | model

## Member Typedef Documentation

typedef std::list<synfig::Layer::Handle> studio::LayerGroupTree::LayerList

## Constructor & Destructor Documentation

LayerGroupTree::LayerGroupTree | ( |  | ) |

References _, studio::LayerGroupTreeStore::Model::active, studio::LayerGroupTreeStore::Model::icon, studio::LayerGroupTreeStore::Model::label, model, and studio::LayerGroupTreeStore::search_func().

LayerGroupTree::~LayerGroupTree | ( |  | ) |

## Member Function Documentation

void LayerGroupTree::set_cursor | ( | const Gtk::TreeModel::Path & | path,
|  | bool | start_editing = `false` |
| ) |  |  |

Glib::RefPtr<LayerGroupTreeStore> studio::LayerGroupTree::get_model | ( |  | ) | `[inline]`

sigc::signal<void,etl::handle<synfig::Layer> >& studio::LayerGroupTree::signal_popup_layer_menu | ( |  | ) | `[inline]`

void LayerGroupTree::set_model | ( | Glib::RefPtr< LayerGroupTreeStore > | layer_group_tree_store_ | ) |

References synfigapp::Action::create(), and model.

void LayerGroupTree::set_editable | ( | bool | x = `true` | ) |

bool studio::LayerGroupTree::get_editable | ( |  | ) | const`[inline]`

std::list< synfig::String > LayerGroupTree::get_selected_groups | ( |  | ) | const

References __group_grabber().

Referenced by studio::GroupActionManager::refresh().

LayerGroupTree::LayerList LayerGroupTree::get_selected_layers | ( |  | ) | const

References __layer_grabber().

Referenced by studio::GroupActionManager::refresh().

## Member Data Documentation

LayerGroupTreeStore::Model studio::LayerGroupTree::model

Referenced by __group_grabber(), __layer_grabber(), LayerGroupTree(), and set_model().

The documentation for this class was generated from the following files:

- layergrouptree.h
- layergrouptree.cpp